//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Mask/ProjectionList.cpp
//! @brief     Implements items related to projections over color map.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Model/Mask/ProjectionList.h"
#include "GUI/Model/Mask/MaskItems.h"

ProjectionList::ProjectionList() = default;

QVector<const LineItem*> ProjectionList::projectionsOfType(Qt::Orientation projectionType) const
{
    if (projectionType == Qt::Horizontal)
        return projections<HorizontalLineItem>();
    else if (projectionType == Qt::Vertical)
        return projections<VerticalLineItem>();
    else
        ASSERT_NEVER;
}
