//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Data/DatafilePresenter.h
//! @brief     Defines class DatafilePresenter.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_DATA_DATAFILEPRESENTER_H
#define BORNAGAIN_GUI_VIEW_DATA_DATAFILEPRESENTER_H

#include "GUI/View/Combo/ItemComboWidget.h"

//! Presents imported data (DatafileItem) using stack of different widgets and combo box in the
//! right top corner of DataView, to switch between widgets.

class DatafilePresenter : public ItemComboWidget {
    Q_OBJECT
public:
    explicit DatafilePresenter();

    void setThePresentation(const QString& presentationType) override;

private:
    QStringList activePresentationList() const override;
    QString itemPresentation() const override;
};

#endif // BORNAGAIN_GUI_VIEW_DATA_DATAFILEPRESENTER_H
