//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Scene/MaskFlags.h
//! @brief     Defines namespace MaskFlags.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_SCENE_MASKFLAGS_H
#define BORNAGAIN_GUI_VIEW_SCENE_MASKFLAGS_H

#include <QFlags>

//! Various flags for MaskEditor operation

namespace MaskFlags {

enum EMaskMode {
    SELECTION_MODE,
    PAN_ZOOM_MODE,
    RECTANGLE_MODE,
    POLYGON_MODE,
    VERTICAL_LINE_MODE,
    HORIZONTAL_LINE_MODE,
    ELLIPSE_MODE,
    ROI_MODE,
    MASKALL_MODE,
};
Q_DECLARE_FLAGS(MaskMode, EMaskMode)

enum EMaskValue { MASK_OFF, MASK_ON };
Q_DECLARE_FLAGS(MaskValue, EMaskValue)

} // namespace MaskFlags

Q_DECLARE_OPERATORS_FOR_FLAGS(MaskFlags::MaskMode)
Q_DECLARE_OPERATORS_FOR_FLAGS(MaskFlags::MaskValue)

#endif // BORNAGAIN_GUI_VIEW_SCENE_MASKFLAGS_H
